加密钱包
获取提现额度
在创建提现之前,查询某个加密货币代币的最低提现金额、支持的网络以及配置的网络手续费。
GET
/
v2
/
assets
/
withdrawQuota
获取提现额度
curl --request GET \
--url https://api-test.velafi.com/v2/assets/withdrawQuota \
--header 'X-BH-TOKEN: <api-key>'import requests
url = "https://api-test.velafi.com/v2/assets/withdrawQuota"
headers = {"X-BH-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BH-TOKEN': '<api-key>'}};
fetch('https://api-test.velafi.com/v2/assets/withdrawQuota', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api-test.velafi.com/v2/assets/withdrawQuota")
.header("X-BH-TOKEN", "<api-key>")
.asString();{
"code": 123,
"msg": "<string>",
"data": {
"crypto": "<string>",
"minCryptoAmount": "<string>",
"chainTypeInfo": [
{
"chainType": "<string>",
"allowWithdraw": true,
"fee": "<string>",
"feeCrypto": "<string>"
}
]
}
}请在创建加密货币提现之前调用此接口。对于指定代币,它会返回最低提现金额,以及每个网络的链上提现开关和配置的网络手续费。添加白名单地址和创建提现时,请使用此接口返回的
chainType 值。
所有请求都必须在
X-BH-TOKEN 请求头中携带通过 GET /v2/token/generate 获取的业务令牌。接口地址
GET https://api.velafi.com/v2/assets/withdrawQuota
查询参数
string
必填
代币符号,例如
USDT。如果未找到该代币,请求将失败并返回 Token not found。string
网络名称,例如
TRC20。提供该参数时,仅返回该网络。如果该代币不支持此网络,请求将失败并返回 Chain type not found。响应字段
number
200 表示成功。string
成功时为
SUCCESS。object
示例
cURL
curl -G https://api.velafi.com/v2/assets/withdrawQuota \
-H "X-BH-TOKEN: YOUR_TOKEN" \
--data-urlencode "crypto=USDT" \
--data-urlencode "chainType=TRC20"
⌘I
获取提现额度
curl --request GET \
--url https://api-test.velafi.com/v2/assets/withdrawQuota \
--header 'X-BH-TOKEN: <api-key>'import requests
url = "https://api-test.velafi.com/v2/assets/withdrawQuota"
headers = {"X-BH-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BH-TOKEN': '<api-key>'}};
fetch('https://api-test.velafi.com/v2/assets/withdrawQuota', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api-test.velafi.com/v2/assets/withdrawQuota")
.header("X-BH-TOKEN", "<api-key>")
.asString();{
"code": 123,
"msg": "<string>",
"data": {
"crypto": "<string>",
"minCryptoAmount": "<string>",
"chainTypeInfo": [
{
"chainType": "<string>",
"allowWithdraw": true,
"fee": "<string>",
"feeCrypto": "<string>"
}
]
}
}
